Package com.evopdf

# Enum ImageType

java.lang.Object
java.lang.Enum<ImageType>
com.evopdf.ImageType

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageType>`, `java.lang.constant.Constable`

public enum ImageType extends Enum<ImageType>
The possible image formats

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Bmp`
  Bitmap format
  `Gif`
  GIF format
  `Icon`
  Icon format
  `Jpeg`
  JPEG format
  `None`
  Not defined format
  `Png`
  PNG format
  `Tiff`
  TIFF format

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static ImageType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ImageType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final ImageType None
    Not defined format

  - ### Bmp

    public static final ImageType Bmp
    Bitmap format

  - ### Gif

    public static final ImageType Gif
    GIF format

  - ### Icon

    public static final ImageType Icon
    Icon format

  - ### Jpeg

    public static final ImageType Jpeg
    JPEG format

  - ### Png

    public static final ImageType Png
    PNG format

  - ### Tiff

    public static final ImageType Tiff
    TIFF format

- ## Method Details

  - ### values

    public static ImageType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ImageType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()